1
apt-get install mysql-server
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package mysql-server is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'mysql-server' has no installation candidate

I also tried apt-get update && and apt-get upgrade but it is not working at all

1 Answer 1

0

Please review your /etc/apt/sources.list configuration. Does it have a line pointing to the "main" repository section? Like deb http://de.archive.ubuntu.com/ubuntu/ bionic main where 'bionic' might instead be some other ubuntu version (it should match the DISTRIB_CODENAME in /etc/lsb-release).

Or you might have network/proxy problems so that you cannot access the package repositories at all. Does apt-get update display any errors?

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .